/*
 * Last updated: 2011/12/02
 * ~Philip Peng
 * 
 * This file is part of BomberNome.
 * 
 * BomberNome is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * BomberNome is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BomberNome.	If not, see <http://www.gnu.org/licenses/>.
 */

#include "bombernome.h"

// Called by main, init hardware
void setup_input() {
	// Input ports
	//DDRE = 0x00;	// PORTE[5] is for the input from firefly
	
	// Timer for input interrupts
	//TSCR1 = 0x80;	// Enable timer 1
	//RTICTL = 0x31;	// Set RTI period to 4ms
	//CRGINT = 0x80;	// Enable RTI interrupt
	
	// SPI config?
	/* 
	 * 0: MSB first
	 * 1: no SS
	 * 2: 0 phase (data on 1st clock edge)
	 * 3: 0 polarity (clock idle low)
	 * 4: Master mode
	 * 5: No interrupts on transmit
	 * 6: Enable SPI
	 * 7: No Interrupts	
	 */ 
	//SPICR1 = 0x50;
	//SPICR2 = 0x00;	// Normal mode				  
	//SPIBR = 0;		// default SPI clock
}

// Called by input_interrupt, update player actions
void update_actions() {
	// TODO
	// Set player actions based on input from Firefly
}
